
TYPO3.Flow - Bug # 30234

Status: Closed Priority: Should have
Author: Christopher Hlubek Category: Object
Created: 2011-09-23 Assigned To: Christopher Hlubek
Updated: 2011-09-25 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Compiled proxies override parent instance
Description

A subclass of a singleton does override the parent instance in the object manager inside the constructor. See the functional test in the
submitted patch for more information.

Related issues:
duplicates TYPO3.Flow - Bug # 27810: ObjectManager returns Subclass sometimes Closed 2011-07-02

Associated revisions
Revision 0275a5ff - 2011-09-23 11:36 - Christopher Hlubek

[BUGFIX] Do not override parent instance in compiled proxies

Change-Id: I00f25162b18f0b3a5e32a6241b6ef2ab6d066415
Resolves: #30234

History
#1 - 2011-09-23 11:36 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change I00f25162b18f0b3a5e32a6241b6ef2ab6d066415 has been pushed to the review server.
It is available at http://review.typo3.org/5253

#2 - 2011-09-23 17:16 - Johannes K

Looks like http://forge.typo3.org/issues/27810 is a duplicate of this bug

#3 - 2011-09-24 18:16 - Karsten Dambekalns
- Category set to Object
- Target version set to 1.0.0

#4 - 2011-09-24 18:17 - Karsten Dambekalns
- Status changed from Under Review to Closed

Closed as duplicate of #30234.
#5 - 2011-09-25 11:24 - Johannes K

Closed as duplicate of itself ;). Really?
